<div class="form-group nr-select">
  <label *ngIf="options && !options.hideLabel">
    {{label}}
  </label>
  <div class="nr-select-container" [ngClass]="{'open': dropdownVisible, 'is-invalid': invalid}" id="{{containerId}}">
    <div class="nr-select-content">
      <div class="nr-select-display">
        <div class="nr-select-display-content" (click)="toggleDropdown()">
            <span class="nr-display-text" [ngClass]="{'has-value': selected}">
              <ng-container *ngIf="!selected">
                {{label}}
              </ng-container>
              <ng-container *ngIf="selected">
                {{getDisplayText(selected)}}
              </ng-container>
            </span>
        </div>
        <span class="fa-icons-container" *ngIf="editable && !safeCheck.disabled">
          <i *ngIf="safeCheck.loading" class="fa fa-spinner fa-spin"></i>
            <i class="fa" [ngClass]="{'fa-angle-down' : !dropdownVisible, 'fa-angle-up': dropdownVisible}"
               (click)="toggleDropdown()"></i>
            <ng-container *ngIf="selected && options.allowClear">
              <i class="fa fa-times" (click)="clearValue()"></i>
            </ng-container>
        </span>
      </div>
      <div class="nr-select-dropdown" *ngIf="dropdownVisible">
        <div class="nr-select-search-input">
          <ng-container *ngIf="options && options.searchable">
            <input type="text" class="form-control form-control-sm" placeholder="Search"
                   id="{{searchBoxId}}"
                   [(ngModel)]="searchKey"
                   (ngModelChange)="onSearchKeyChange()" [ngModelOptions]="{standalone: true}">
          </ng-container>
        </div>
        <div class="nr-select-list" id="{{dropdownId}}">
          <ul>
            <ng-container *ngFor="let i of data">
              <li *ngIf="!i.hide" (click)="select(i, true)" [ngClass]="{'current': i.current}" class="select-item">
                {{getDisplayText(i)}}
              </li>
            </ng-container>
          </ul>
          <ng-container *ngIf="!data || data.length == 0 || notFound">
            <div class="no-items" *ngIf="!options.searchAfterKeypress">No items.</div>
            <div class="no-items" *ngIf="options.searchAfterKeypress">Type for search.</div>
          </ng-container>
        </div>
      </div>
      <div class="clearfix"></div>
    </div>
  </div>
  <div class="invalid-feedback" *ngIf="submitted && !value"
       [ngStyle]="{'display': submitted && !value ? 'block' : 'none'}">
    {{label}} is required
  </div>
  <ng-container *ngIf="options && options.useAngularForm">
    <div [formGroup]="form">
      <input type="hidden" [(ngModel)]="value" formControlName="{{controlName}}"/>
    </div>
  </ng-container>
  <ng-container *ngIf="options && !options.useAngularForm">
    <input type="hidden" [(ngModel)]="value"/>
  </ng-container>
</div>
